#17 Patch id1/pak0.pak/default.cfg with better defaults (wasd, +mlook, mousewheel weapon switching)

None
closed
nobody
None
5
2015-03-23
2014-04-25
No

This should only affect new players with no config.cfg, or if you use the "reset config" menu item.

1 Attachments

Related

Patches: #17

Discussion

  • Steven

    Steven - 2014-04-26

    Thanks man. (Mostly) applied revision 903

     
  • Ozkan Sezer

    Ozkan Sezer - 2014-04-26

    Honestly, I feel dirty about this ridiculous hack, and worse even.. It's the same feeling about our embedded background picture, though.

    Why did you not use the existing path_id mechanism of LoadFile series of procedures, but invented a new one?

     
    • Steven

      Steven - 2014-04-26

      Hi Oz,
      I suppose you know this is Eric's patch. It only triggers if there is no "id1/default.cfg".
      Is he doing it wrong ?.

      I can see where you're coming from - but i suppose he thinks this is the cleanest way to make new defaults for these common things. All of which annoy me.
      S.


      From: Ozkan Sezer sezero@users.sf.net
      To: [quakespasm:patches] 17@patches.quakespasm.p.re.sf.net
      Sent: Saturday, 26 April 2014 9:09 PM
      Subject: [quakespasm:patches] #17 Patch id1/pak0.pak/default.cfg with better defaults (wasd, +mlook, mousewheel weapon switching)

      Honestly, I feel dirty about this ridiculous hack, and worse even.. It's the same feeling about our embedded background picture, though.

      Why did you not use the existing path_id mechanism of LoadFile series of procedures, but invented a new one?


      [patches:#17] Patch id1/pak0.pak/default.cfg with better defaults (wasd, +mlook, mousewheel weapon switching)

      Status: open
      Group: Unstable_(example)
      Created: Fri Apr 25, 2014 08:37 PM UTC by Eric Wasylishen
      Last Updated: Sat Apr 26, 2014 10:28 AM UTC
      Owner: nobody

      This should only affect new players with no config.cfg, or if you use the "reset config" menu  item.


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/quakespasm/patches/17/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Patches: #17

  • Eric Wasylishen

    Eric Wasylishen - 2014-04-27

    I agree patching game files like this is sort of horrible, but I think this is the cleanest way to update the default config.

    I didn't use path_id because as far as I can see that will only tell me the file is coming from the id1 directory, but I want this patching to only happen specifically if the default.cfg is being loaded from id1/pak0.pak; I don't want to patch a freestanding id1/default.cfg or an id1/pak2.pak/default.cfg the user could conceivably have.

     
  • Ozkan Sezer

    Ozkan Sezer - 2014-04-27
    • status: open --> closed
     
  • Ozkan Sezer

    Ozkan Sezer - 2014-04-27

    Reverted the patch along with conback loading hacks, modified the engine to load an id1/quakespasm.pak, if available, to load such content customizations.

    Closing this.

     

Log in to post a comment.